[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolBar.List

Indicates whether buttons on the tool bar are displayed using a list style.

## Declaration

Source position: comctrls.pp line 2400

`published property TToolBar.List : Boolean read FList write SetList default False;`

## Description

List is a Boolean property which indicates if the buttons on the tool bar are displayed using a list style.

When List is set to True, the icon for a tool button is displayed on the left edge of the button immediately before the Caption text (when enabled). When set to False, the icon is centered in the button width and above the Caption text for the button.

The default value for the property is False. Changing the value for the property causes the tool bar to be resized and redrawn.

Set ShowCaptions to True to enable Caption text on the tool bar buttons.